[Fusionforge-commits] FusionForge branch master updated. 2769a01334f880e194916d18189d340afa97e48f

Roland Mas lolando at fusionforge.org
Sun Nov 25 16:35:14 CET 2012


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "FusionForge".

The branch, master has been updated
       via  2769a01334f880e194916d18189d340afa97e48f (commit)
      from  b66750e69bfc27345ad10439c3d64f675a3d410f (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 2769a01334f880e194916d18189d340afa97e48f
Author: Roland Mas <lolando at debian.org>
Date:   Sun Nov 25 16:35:01 2012 +0100

    Generate an SSH key to enable SCM tests

diff --git a/tests/func/vncxstartsuite.sh b/tests/func/vncxstartsuite.sh
index 909cd15..d5a3d23 100755
--- a/tests/func/vncxstartsuite.sh
+++ b/tests/func/vncxstartsuite.sh
@@ -59,6 +59,13 @@ password
 password
 EOF
 
+# Setup ssh key
+if ! [ -e .ssh/id_rsa.pub ] ; then
+    mkdir -p .ssh
+    ssh-keygen -f .ssh/id_rsa -N ''
+    cat .ssh/id_rsa.pub >> .ssh/authorized_keys
+fi
+
 # Start vnc server (that will start phpunit)
 vncserver :1
 sleep 5

-----------------------------------------------------------------------

Summary of changes:
 tests/func/vncxstartsuite.sh |    7 +++++++
 1 file changed, 7 insertions(+)


hooks/post-receive
-- 
FusionForge



More information about the Fusionforge-commits mailing list